#
# spec file for package meterbridge
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           meterbridge
Version:        0.9.3
Release:        1.7
Summary:        A Meterbridge for the JACK Audio System
License:        GPL-2.0-or-later
Group:          Productivity/Multimedia/Sound/Visualization
URL:            http://plugin.org.uk/meterbridge
Source:         %{url}/meterbridge-%{version}.tar.gz
Source1:        meterbridge.desktop
Source2:        meterbridge.png
Patch0:         meterbridge-gcc4-fix.diff
Patch1:         meterbridge-makefile-fix.diff
Patch2:         https://gitweb.gentoo.org/repo/gentoo.git/plain/media-sound/meterbridge/files/meterbridge-0.9.3-setrgba.patch
Patch3:         https://gitweb.gentoo.org/repo/gentoo.git/plain/media-sound/meterbridge/files/meterbridge-0.9.3-asneeded.patch
BuildRequires:  SDL_image-devel
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  jack-devel
BuildRequires:  update-desktop-files

%description
Meterbridge is a JACK (JACK Audio Connection Kit) client for
visualizing audio signals.

%prep
%autosetup -p1

%build
autoreconf --force --install
%configure
%make_build

%install
%make_install
%suse_update_desktop_file -i meterbridge AudioVideo Music
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp %{SOURCE2} %{buildroot}%{_datadir}/pixmaps

%files
%license COPYING
%doc AUTHORS ChangeLog
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png

%changelog
* Sat Jul 10 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to 0.9.3
  * No changelog provided
- Clean up SPEC file
- Refresh meterbridge-gcc4-fix.diff and meterbridge-makefile-fix.diff
- Add patches from Gentoo: meterbridge-0.9.3-asneeded.patch, and
  meterbridge-0.9.3-setrgba.patch
* Mon Jun 22 2015 antoine.belvire@laposte.net
- Fix build with GCC 5: add -fgnu89-inline to CFLAGS.
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Fri Jun 19 2009 coolo@novell.com
- disable as-needed for this package as it fails to build with it
* Tue Jan 16 2007 tiwai@suse.de
- fix compile optimizations.
- use %%configure.
* Fri Jan 27 2006 tiwai@suse.de
- fixed BuildRequires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 12 2005 tiwai@suse.de
- removed glib* from neededfobuild.
* Mon Apr 11 2005 tiwai@suse.de
- fix the build with gcc-4.0 again.
* Fri Apr  8 2005 tiwai@suse.de
- fixed build for gcc-4.0.
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Mon Sep 15 2003 tiwai@suse.de
- added desktop file and icon.
* Wed Jul  2 2003 tiwai@suse.de
- updated to version 0.9.2.
* Thu Jan 16 2003 tiwai@suse.de
- updated to version 0.9.0.
* Tue Nov 26 2002 tiwai@suse.de
- initial version: 0.0.6.
